<component-section>
  <div slot="title">Architecture Decision Documentatie</div>
  <component-intendedlearningoutcomes>
    <component-intendedlearningoutcome codes='["SA-begrip-beslissingen"]'
      >legt
      <strong>(architectuur)ontwerpbeslissing</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-beslissingen"]'
      >legt
      <strong>architecturele onderbouwing</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-beslissingen"]'
      >documenteert ontwerpbeslissingen.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-evalueren"]'
      >legt
      <strong>architectuurevaluatie</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-evalueren"]'
      >legt
      <strong>architectuurbesluiten</strong>
      uit.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-evalueren"]'
      >legt uit wanneer en tot welk niveau
      <strong>architectuurbesluiten</strong>
      worden gedocumenteerd.
    </component-intendedlearningoutcome>
    <component-intendedlearningoutcome codes='["SA-begrip-evalueren"]'
      >legt
      <strong>Architecture Decision Record</strong>
      uit.
    </component-intendedlearningoutcome>
  </component-intendedlearningoutcomes>
  <component-section>
    <div slot="title">Architectuurontwerpbeslissingen documenteren</div>
    <component-section>
      <div slot="title">Software Architecture Document</div>
      <p class="bron">SAD</p>
      <ul class="liststyletypenone">
        <li class="bron">
          <a href="bron/material/extra/SAD-template.docx">SAD Template</a>
        </li>
        <li class="bron">
          <a href="bron/material/extra/SWA_SAD_ToReview.pdf">SKA SAD Voorbeeld</a>
        </li>
        <li class="bron">
          <a href="bron/material/extra/SoftwareArchitectureDocument_DECAF.doc">SAD DECAF</a>
        </li>
        <li class="bron">
          <a href="bron/material/IKEA_SOA_Solution_Architecture_v1p3.pdf">SAD IKEA</a>
        </li>
      </ul>
    </component-section>
  </component-section>
  <component-section>
    <div slot="title">Bestuderen</div>
    <p class="bron">
      <cite data-id="6867189/KRJVJXEU" data-label="chapter">Software Architecture in Practice</cite>
    </p>
    <p class="bron">
      <abbr title="Nygard, M. (2011). Documenting Architecture Decisions">
        <a href="https://cognitect.com/blog/2011/11/15/documenting-architecture-decisions"
          >Documenting Architecture Decisions</a
        >
      </abbr>
    </p>
    <p class="bron">
      <abbr title="Starke. G., Hruschka, P., Muller, RD. (2020). arc42 Template">
        <a href="https://arc42.org/overview">arc42 Template</a>
      </abbr>
    </p>
  </component-section>
  <component-section>
    <div slot="title">Oefening 1</div>
    <p></p>
    <component-exercise>
      <p><strong>Decision Relationship View:</strong></p>
      <ul>
        <li>Lees (indien nodig) HandsOn: <a href="/SKA/#sec_3.3">Software Trendanalyse Dashboard</a></li>
        <li>Gebruik de oefeningen uit voorgaande weken</li>
        <li>Maak een decision relationship view</li>
        <li>Neem de besluiten over uit de forces view</li>
        <li>Voeg gerelateerde besluiten toe die geen onderdeel uitmaken van de forces view</li>
        <li>Breng de relaties tussen besluiten in beeld</li>
        <li>
          Vul in een template enkele decisions in (Decision Rationale of ADR) en begin met de belangrijkste besluiten
          eerst.
        </li>
        <li>Brainstorm over de rationale achter deze besluiten</li>
        <li>
          Gebruik informatie over state, stakeholders, history, alternatieven en gerelateerde besluiten uit andere
          views.
        </li>
        <li>Koppel de besluiten aan de requirements.</li>
      </ul>
    </component-exercise>
  </component-section>
  <component-section>
    <div slot="title">👨‍🏫 Presentatie</div>
    <ul class="liststyletypenone">
      <li class="bron">
        <a href="bron/slides/SKA_OW7.pdf">Lesweek 7</a>
      </li>
    </ul>
  </component-section>
  <component-section extra>
    <div slot="title">Verdieping</div>
    <p class="bron">
      <abbr
        title="van Heesch, U., Eloranta, V. P., Avgeriou, P., Koskimies, K., & Harrison, N. (2014). Decision-Centric Architecture Reviews. IEEE Software, 31(1), 69-76">
        <a href="bron/material/vanHeesch_al_DecisionCentricReview.pdf"
          >Decision-Centric Architecture Reviews. IEEE Software</a
        >
      </abbr>
    </p>
    <p class="bron">
      <abbr
        title="van Heesch, U., Avgeriou, P., & Hilliard, R. (2012, August). Forces on Architecture Decisions-A Viewpoint. (pp. 101-110). IEEE Computer Society">
        <a href="bron/material/vanHeesch_al_ForcesOnArchDecisions-WICSA12b.pdf">Forces on Architecture Decisions</a>
      </abbr>
    </p>
    <p class="bron">
      <abbr
        title="van Heesch, U., Avgeriou, P., & Hilliard, R. (2012). A documentation framework for architecture decisions. Journal of Systems and Software, 85(4), 795-820">
        <a href="bron/material/vanHeesch_al_DocumentationFrmwkArchDecision.pdf"
          >A documentation framework for architecture decisions</a
        >
      </abbr>
    </p>
    <p class="bron">
      <abbr title="Kazman, R., Klein, M., Clements, P. (2000). ATAM: Method for Architecture Evaluation">
        <a href="bron/material/ATAM-TR.pdf">ATAM: Method for Architecture Evaluation</a>
      </abbr>
    </p>
  </component-section>
</component-section>
